org.apache.fop.render.ps

## Class ImageEncoderCCITTFax

- java.lang.Object
- - org.apache.fop.render.ps.ImageEncoderCCITTFax

- All Implemented Interfaces:
    org.apache.xmlgraphics.ps.ImageEncoder

      public class ImageEncoderCCITTFax
      extends Object
      implements org.apache.xmlgraphics.ps.ImageEncoder

  ImageEncoder implementation for CCITT encoded images.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageEncoderCCITTFax(org.apache.xmlgraphics.image.loader.impl.ImageRawCCITTFax ccitt)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getImplicitFilter()`
    `void` | `writeTo(OutputStream out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageEncoderCCITTFax

          public ImageEncoderCCITTFax(org.apache.xmlgraphics.image.loader.impl.ImageRawCCITTFax ccitt)

      Main constructor.
      Parameters:
        `ccitt` - the CCITT encoded image

  - ### Method Detail

    - #### writeTo

          public void writeTo(OutputStream out)
                       throws IOException

      Specified by:
        `writeTo` in interface `org.apache.xmlgraphics.ps.ImageEncoder`
      Throws:
        `IOException`

    - #### getImplicitFilter

          public String getImplicitFilter()

      Specified by:
        `getImplicitFilter` in interface `org.apache.xmlgraphics.ps.ImageEncoder`

Copyright © 2023 Apache Software Foundation. All rights reserved.